Bug 1721710 - [abrt] xfce4-appfinder: garcon_menu_item_set_action(): xfce4-appfinder killed by SIGSEGV
Summary: [abrt] xfce4-appfinder: garcon_menu_item_set_action(): xfce4-appfinder killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-appfinder
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fa6a70116d8456e4e776c21c5a2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-18 22:26 UTC by Tim Ricketts
Modified: 2020-05-26 16:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:43:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.36 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: cgroup (345 bytes, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: core_backtrace (12.13 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: cpuinfo (1.03 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: dso_list (9.62 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: environ (4.21 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: exploitable (82 bytes, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: limits (1.29 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: maps (60.52 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: mountinfo (4.42 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: open_fds (2.11 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-06-18 22:26 UTC, Tim Ricketts
no flags Details

Description Tim Ricketts 2019-06-18 22:26:34 UTC
Description of problem:
I was not aware that the application finder was even running when it apparently crashed.

Version-Release number of selected component:
xfce4-appfinder-4.13.2-2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-appfinder
crash_function: garcon_menu_item_set_action
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=25c824b0d8d44352bf2c83499cf2d12a;i=1f8ba6;b=b8a27cd703ce4a139880655b1e5c48bd;m=14afec5bbf;t=58ba0453adbfd;x=96c74e5324ad9ce6
kernel:         5.1.8-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 garcon_menu_item_set_action at garcon-menu-item.c:1775
 #1 garcon_menu_item_reload_from_file at garcon-menu-item.c:1183
 #2 garcon_menu_item_reload at garcon-menu-item.c:961
 #3 garcon_menu_process_file_changes at garcon-menu.c:2274
 #9 gtk_main at gtkmain.c:1323

Comment 1 Tim Ricketts 2019-06-18 22:26:37 UTC
Created attachment 1581922 [details]
File: backtrace

Comment 2 Tim Ricketts 2019-06-18 22:26:39 UTC
Created attachment 1581923 [details]
File: cgroup

Comment 3 Tim Ricketts 2019-06-18 22:26:40 UTC
Created attachment 1581924 [details]
File: core_backtrace

Comment 4 Tim Ricketts 2019-06-18 22:26:41 UTC
Created attachment 1581925 [details]
File: cpuinfo

Comment 5 Tim Ricketts 2019-06-18 22:26:42 UTC
Created attachment 1581926 [details]
File: dso_list

Comment 6 Tim Ricketts 2019-06-18 22:26:44 UTC
Created attachment 1581927 [details]
File: environ

Comment 7 Tim Ricketts 2019-06-18 22:26:45 UTC
Created attachment 1581928 [details]
File: exploitable

Comment 8 Tim Ricketts 2019-06-18 22:26:46 UTC
Created attachment 1581929 [details]
File: limits

Comment 9 Tim Ricketts 2019-06-18 22:26:48 UTC
Created attachment 1581930 [details]
File: maps

Comment 10 Tim Ricketts 2019-06-18 22:26:49 UTC
Created attachment 1581931 [details]
File: mountinfo

Comment 11 Tim Ricketts 2019-06-18 22:26:50 UTC
Created attachment 1581932 [details]
File: open_fds

Comment 12 Tim Ricketts 2019-06-18 22:26:51 UTC
Created attachment 1581933 [details]
File: proc_pid_status

Comment 13 Miro Hrončok 2019-07-16 23:16:33 UTC
Similar problem has been detected:

runnign dnf upgrade, xfce4-panel, xfce4-appfinder and xfdesktop restarted when updating packages with desktop files.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfrun4
crash_function: garcon_menu_item_set_action
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=46a5ab75150b46f1ae695708bb82a4a6;i=c0e2;b=1997576fa85142b78f514a93dd2a2b44;m=91b88dadb7;t=58dd46fcea092;x=59bd56e36d6d87ae
kernel:         5.1.16-300.fc30.x86_64
package:        xfce4-appfinder-4.13.4-1.fc30
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2019-08-15 22:31:25 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 15 Fedora Update System 2019-08-17 01:27:23 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 16 Fedora Update System 2019-08-23 01:27:00 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Ben Cotton 2020-04-30 21:17:47 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2020-05-26 16:43:05 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.